=== src/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
CXX = g++
RANLIB = /usr/bin/ranlib 
CXXCPP = g++ -E
YACC = bison -y
LEX = flex --nounistd
AWK = gawk

RESOURCE_FILES = dune.english.rc dune.german.rc dune.italian.rc

LIBEFENCE_A = /usr/lib/libefence.a
EFENCE_EXTRA_LIBS = -lpthread

LIBDUMA_A = /usr/lib/libduma.a
DUMA_EXTRA_LIBS = -lpthread

LD_OPTIONS = 

EGREP_PROBLEMS = no

# gcc Warning flags
# WARNINGS = -Wall -Wwrite-strings

# IRIX cc flags
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322

# use -DYYDEBUG=1 for yacc/bison debugging 
#(also change int yydebug = 1; in parser.cpp)

CPPFLAGS= -I. -Iswt/include   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include
COMMON_FLAGS = $(WARNINGS) -I. -Iswt/include   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include 
CFLAGS_BIG = -g $(COMMON_FLAGS)  
CFLAGS = -g $(COMMON_FLAGS) 
CXXFLAGS = $(CFLAGS) 
LIBS =   -L/usr/local/lib -g -Lswt/lib -lswt -LSDLjoystick SDLjoystick/libSDLjoystick.a -lusb -lsball -lpng -ljpeg -lz -lexpat -lGLU -lGL -lXi -lXm -lXp -lXext -lXt -lXmu -lX11 -lm -ldl   -L/usr/local/lib  -L/usr/X11R6/LessTif/Motif1.2/lib 
NEBULA = 
PARSER_CPP_CFLAG = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

NODECLASSES = \
        NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeArc2D.o \
	NodeArcClose2D.o \
	NodeBackground.o \
	NodeBallJoint.o \
	NodeBillboard.o \
	NodeBooleanFilter.o \
	NodeBooleanSequencer.o \
	NodeBooleanToggle.o \
	NodeBooleanTrigger.o \
        NodeBoundedPhysicsModel.o \
	NodeBox.o \
        NodeCADAssembly.o \
        NodeCADFace.o \
        NodeCADLayer.o \
        NodeCADPart.o \
	NodeCircle2D.o \
	NodeClipPlane.o \
        NodeCollidableShape.o \
        NodeCollidableOffset.o \
	NodeCollision.o \
        NodeCollisionCollection.o \
        NodeCollisionSensor.o \
        NodeCollisionSpace.o \
	NodeColor.o \
        NodeColorDamper.o \
	NodeColorRGBA.o \
	NodeColorInterpolator.o \
        NodeComposedShader.o \
        NodeComposedTexture3D.o \
	NodeCone.o \
        NodeConeEmitter.o \
	NodeContact.o \
	NodeContour2D.o \
	NodeContourPolyline2D.o \
	NodeCoordinate.o \
        NodeCoordinateDamper.o \
	NodeCoordinateDeformer.o \
	NodeCoordinateDouble.o \
	NodeCoordinateInterpolator.o \
	NodeCoordinateInterpolator2D.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
        NodeComposedCubeMapTexture.o \
        NodeDISEntityManager.o \
        NodeDISEntityTypeMapping.o \
	NodeDirectionalLight.o \
	NodeDisk2D.o \
        NodeDoubleAxisHingeJoint.o \
        NodeEaseInEaseOut.o \
	NodeElevationGrid.o \
        NodeEspduTransform.o \
        NodeExplosionEmitter.o \
	NodeExtrusion.o \
        NodeFillProperties.o \
        NodeFloatVertexAttribute.o \
	NodeFog.o \
        NodeFogCoordinate.o \
	NodeFontStyle.o \
        NodeForcePhysicsModel.o \
	NodeGeoCoordinate.o \
	NodeGeoElevationGrid.o \
        NodeGeoMetadata.o \
        NodeGeoLocation.o \
        NodeGeoLOD.o \
        NodeGeoPositionInterpolator.o \
        NodeGeoProximitySensor.o \
        NodeGeoOrigin.o \
        NodeGeoTouchSensor.o \
        NodeGeoTransform.o \
        NodeGeoViewpoint.o \
        NodeGeneratedCubeMapTexture.o \
        NodeGravityPhysicsModel.o \
	NodeGroup.o \
        NodeHAnimDisplacer.o \
        NodeHAnimHumanoid.o \
        NodeHAnimJoint.o \
        NodeHAnimSegment.o \
        NodeHAnimSite.o \
        NodeImageCubeMapTexture.o \
	NodeImageTexture.o \
        NodeImageTexture3D.o \
	NodeIndexedFaceSet.o \
	NodeIndexedLineSet.o \
        NodeIndexedQuadSet.o \
	NodeIndexedTriangleFanSet.o \
	NodeIndexedTriangleSet.o \
	NodeIndexedTriangleStripSet.o \
	NodeInline.o \
        NodeInlineLoadControl.o \
	NodeIntegerSequencer.o \
	NodeIntegerTrigger.o \
        NodeKeySensor.o \
        NodeLayer.o \
        NodeLayerSet.o \
        NodeLayout.o \
        NodeLayoutGroup.o \
        NodeLayoutLayer.o \
        NodeLinePickSensor.o \
        NodeLineProperties.o \
        NodeLineSet.o \
        NodeLoadSensor.o \
        NodeLocalFog.o \
	NodeLOD.o \
	NodeMaterial.o \
        NodeMatrix3VertexAttribute.o \
        NodeMatrix4VertexAttribute.o \
	NodeMetadataDouble.o \
	NodeMetadataFloat.o \
	NodeMetadataInteger.o \
	NodeMetadataSet.o \
	NodeMetadataString.o \
        NodeMotorJoint.o \
	NodeMovieTexture.o \
	NodeMultiTexture.o \
	NodeMultiTextureCoordinate.o \
	NodeMultiTextureTransform.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsCurve2D.o \
	NodeNurbsGroup.o \
	NodeNurbsOrientationInterpolator.o \
	NodeNurbsPositionInterpolator.o \
	NodeNurbsSet.o \
	NodeNurbsSurface.o \
	NodeNurbsSurfaceInterpolator.o \
        NodeNurbsSweptSurface.o \
        NodeNurbsSwungSurface.o \
        NodeNurbsTextureCoordinate.o \
	NodeNurbsTextureSurface.o \
        NodeNurbsTrimmedSurface.o \
        NodeOrientationChaser.o \
        NodeOrientationDamper.o \
	NodeOrientationInterpolator.o \
        NodeOrthoViewpoint.o \
        NodePackagedShader.o \
        NodeParticleSystem.o \
        NodePickableGroup.o \
	NodePixelTexture.o \
        NodePixelTexture3D.o \
	NodePlaneSensor.o \
        NodePointEmitter.o \
	NodePointLight.o \
        NodePointPickSensor.o \
	NodePointSet.o \
	NodePolyline2D.o \
        NodePolylineEmitter.o \
	NodePolypoint2D.o \
        NodePositionChaser.o \
        NodePositionChaser2D.o \
        NodePositionDamper.o \
        NodePositionDamper2D.o \
	NodePositionInterpolator.o \
	NodePositionInterpolator2D.o \
        NodePrimitivePickSensor.o \
        NodeProgramShader.o \
	NodeProximitySensor.o \
        NodeQuadSet.o \
        NodeReceiverPdu.o \
	NodeRectangle2D.o \
        NodeRigidBody.o \
        NodeRigidBodyCollection.o \
        NodeScalarChaser.o \
	NodeScalarInterpolator.o \
        NodeScreenFontStyle.o \
        NodeScreenGroup.o \
	NodeScript.o \
        NodeShaderPart.o \
        NodeShaderProgram.o \
	NodeShape.o \
        NodeSignalPdu.o \
        NodeSingleAxisHingeJoint.o \
        NodeSliderJoint.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
        NodeSplinePositionInterpolator.o \
        NodeSplinePositionInterpolator2D.o \
        NodeSplineScalarInterpolator.o \
	NodeSpotLight.o \
        NodeSquadOrientationInterpolator.o \
	NodeStaticGroup.o \
	NodeStringSensor.o \
        NodeSurfaceEmitter.o \
	NodeSwitch.o \
        NodeTexCoordDamper2D.o \
        NodeTexCoordDamper.o \
	NodeText.o \
	NodeTextureBackground.o \
	NodeTextureCoordinate.o \
        NodeTextureCoordinate3D.o \
        NodeTextureCoordinate4D.o \
	NodeTextureCoordinateGenerator.o \
	NodeTextureProperties.o \
	NodeTextureTransform.o \
        NodeTextureTransform3D.o \
        NodeTextureTransformMatrix3D.o \
	NodeTimeSensor.o \
        NodeTimeTrigger.o \
	NodeTouchSensor.o \
	NodeTransform.o \
        NodeTransformSensor.o \
        NodeTransmitterPdu.o \
        NodeTriangleFanSet.o \
        NodeTriangleSet.o \
        NodeTriangleSet2D.o \
        NodeTriangleStripSet.o \
        NodeTrimmedSurface.o \
        NodeTwoSidedMaterial.o \
        NodeUniversalJoint.o \
	NodeViewpoint.o \
        NodeViewpointGroup.o \
        NodeViewport.o \
	NodeVisibilitySensor.o \
        NodeVolumeEmitter.o \
        NodeVolumePickSensor.o \
        NodeWindPhysicsModel.o \
	NodeWorldInfo.o 

EXTRACLASSES = \
        NodeSuperEllipsoid.o \
        NodeSuperShape.o \
        NodeSuperRevolver.o \
        NodeSuperExtrusion.o \
	NodeVrmlCut.o \
	NodeVrmlScene.o \
        NodeOdeMotorJoint.o \
        NodeOdeSingleAxisHingeJoint.o \
        NodeOdeSliderJoint.o \
	NodeCOVER.o \
	NodeSpaceSensor.o \
	NodeCubeTexture.o \
	NodeWave.o \
        NodeJoystickSensor.o \
        NodeLabView.o \
        NodeSteeringWheel.o \
        NodeVehicle.o \
        NodeARSensor.o \
        NodeSky.o \
        NodeTUIButton.o \
        NodeTUIComboBox.o \
        NodeTUIFloatSlider.o \
        NodeTUIFrame.o \
        NodeTUILabel.o \
        NodeTUIListBox.o \
        NodeTUIMap.o \
        NodeTUIProgressBar.o \
        NodeTUISlider.o \
        NodeTUISplitter.o \
        NodeTUITab.o \
        NodeTUITabFolder.o \
        NodeTUIToggleButton.o \
        NodeVirtualAcoustics.o \
        NodeVirtualSoundSource.o \
        NodeBlendMode.o \
        NodeGeneratedShadowMap.o \
        NodeMatrixTransform.o \
        NodeMultiGeneratedTextureCoordinate.o \
	NodeKambiAppearance.o \
	NodeKambiHeadLight.o \
        NodeKambiInline.o \
        NodeKambiNavigationInfo.o \
        NodeKambiOctreeProperties.o \
	NodeKambiTriangulation.o \
	NodeProjectedTextureCoordinate.o \
        NodeRenderedTexture.o \
        NodeTeapot.o \
	NodeText3D.o \
        NodeCattExportRec.o \
        NodeCattExportSrc.o \
        NodeLdrawDatExport.o \
        NodeComment.o \
        NodeImport.o \
        NodeExport.o

NODEPARENTCLASSES = \
        BasicTransformNode.o \
        TransformNode.o \
        DynamicFieldsNode.o \
        GeoNode.o \
        GroupNode.o \
        MeshBasedNode.o \
        MeshMorphingNode.o \
        ChainBasedNode.o \
        EmitterNode.o \
        GeometryNode.o \
        IndexedTriangleSetNode.o \
        X3DNBodyCollidableNode.o \
        X3DNBodyCollisionSpaceNode.o \
        X3DRigidJointNode.o \
        AnchoredJointNode.o

TYPECLASSES = \
	SFBool.o \
        SFBoolItem.o \
	SFColor.o \
        SFColorItem.o \
	SFColorRGBA.o \
        SFColorRGBAItem.o \
	SFDouble.o \
        SFDoubleItem.o \
	SFFloat.o \
        SFFloatItem.o \
	SFImage.o \
        SFImageItem.o \
	SFInt32.o \
        SFInt32Item.o \
	SFMatrix3f.o \
        SFMatrix3fItem.o \
	SFMatrix4f.o \
        SFMatrix4fItem.o \
	SFNode.o \
        SFNodeItem.o \
	SFRotation.o \
        SFRotationItem.o \
	SFString.o \
        SFStringItem.o \
	SFTime.o \
        SFTimeItem.o \
	SFVec2f.o \
        SFVec2fItem.o \
	SFVec3f.o \
        SFVec3fItem.o \
	SFVec3d.o \
        SFVec3dItem.o \
	SFVec4f.o \
        SFVec4fItem.o \
	MFBool.o \
        MFBoolItem.o \
	MFColor.o \
        MFColorItem.o \
	MFColorRGBA.o \
        MFColorRGBAItem.o \
	MFDouble.o \
        MFDoubleItem.o \
	MFInt32.o \
        MFInt32Item.o \
	MFFloat.o \
        MFFloatItem.o \
	MFNode.o \
        MFNodeItem.o \
	MFRotation.o \
        MFRotationItem.o \
	MFString.o \
        MFStringItem.o \
	MFTime.o \
        MFTimeItem.o \
	MFVec2f.o \
        MFVec2fItem.o \
	MFVec3f.o \
        MFVec3fItem.o \
	MFVec3d.o \
        MFVec3dItem.o \
	MFVec4f.o \
        MFVec4fItem.o \
        MFMatrix3f.o \
        MFMatrix3fItem.o \
        MFMatrix4f.o \
        MFMatrix4fItem.o

DIALOGCLASSES = \
	Dialog.o \
	ElevationGridDialog.o \
        ScriptDialog.o \
	NurbsCurveDialog.o \
	NurbsPlaneDialog.o \
	PreferencesDialog.o \
        DefDialog.o \
        CoverDefDialog.o \
	Box2NurbsDialog.o \
	Cone2NurbsDialog.o \
	Cylinder2NurbsDialog.o \
	Sphere2NurbsDialog.o \
        NurbsCurve2NurbsSurfDialog.o \
        InteractionDialog.o \
        AnimationDialog.o \
        URLDialog.o \
        ArrayDialog.o \
        FieldPipeDialog.o \
        OneFloatDialog.o \
        OneIntDialog.o \
        OneTextDialog.o \
        TwoRadioButtonsDialog.o \
	EcmaScriptSettingsDialog.o \
	PreviewSettingsDialog.o \
	UploadSettingsDialog.o \
	HelpSettingsDialog.o \
	TexteditSettingsDialog.o \
	StereoViewSettingsDialog.o \
        OutputSettingsDialog.o \
        InputSettingsDialog.o \
        InputDeviceSettingsDialog.o \
        AflockSettingsDialog.o \
        RouteViewSettingsDialog.o \
        WonderlandModuleExportDialog.o \
        CattExportDialog.o

APPCLASSES = \
	DuneApp.o \
        PreferencesApp.o \
        EcmaScriptApp.o \
        StereoViewApp.o \
        InputDeviceApp.o \
        OutputApp.o \
        RouteViewApp.o \
        InputApp.o \
        StartWithApp.o \
        ExportNamesApp.o 

DUNECLASSES = \
	AboutDialog.o \
	CommandList.o \
	Element.o \
	EventIn.o \
