=== desktop/fvwm2/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all:
	@echo copy mini-dune.xpm to /usr/X11R6/include/X11/pixmaps
	@echo
	@echo include something like
	@echo
	@echo '+ "Dune%mini-dune.xpm%"		Exec /usr/bin/dune &'
	@echo 
	@echo to a AddToMenu list of your .fvwm2rc or /usr/X11/lib/X11/fvwm2/system.fvwm2rc
