=== desktop/twm/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all:
	@echo include something like
	@echo
	@echo '"dune"		f.exec "/usr/bin/dune &"'
	@echo 
	@echo to a menu list of your .twmrc or /usr/lib/X11/twm/system.twmrc
