=== debian/watch ===
version=3
http://wdune.ourproject.org/ \
  ftp://ftp.ourproject.org/pub/wdune/wdune-(\d*\.\d*pl\d*)\.tar\.bz2
